abclinuxu.cz AbcLinuxu.cz itbiz.cz ITBiz.cz HDmag.cz HDmag.cz abcprace.cz AbcPráce.cz
AbcLinuxu hledá autory!
Inzerujte na AbcPráce.cz od 950 Kč
Rozšířené hledání
×

včera 13:11 | Nová verze

Po téměř dvou letech byla vydána nová verze 4.0 linuxové distribuce Audiophile Linux (též AP-Linux-V4). Tato distribuce vychází z Arch Linuxu, používá systemd, správce oken Fluxbox a vlastní real-time jádro pro nižší latence. Z novinek můžeme jmenovat podporu nových procesorů Intel Skylake a Kaby Lake nebo možnost instalace vedle jiných OS na stejný disk. Pokud se zajímáte o přehrávání hudby v Linuxu, doporučuji návštěvu webu této

… více »
Blaazen | Komentářů: 0
27.4. 18:55 | Nová verze

Byla vydána nová stabilní verze 1.9 (1.9.818.44) webového prohlížeče Vivaldi (Wikipedie). Z novinek vývojáři zdůrazňují podporu nového vyhledávače Ecosia. Ten z příjmů z reklam podporuje výsadbu stromů po celém světě (YouTube). Nově lze přeskupovat ikonky rozšíření nebo řadit poznámky. Nejnovější Vivaldi je postaveno na Chromiu 58.0.3029.82.

Ladislav Hagara | Komentářů: 20
27.4. 17:00 | Nová verze

Byla vydána verze 3.7.0 svobodného systému pro správu obsahu (CMS) Joomla!. V oznámení o vydání (YouTube) se píše o 700 vylepšeních. Opraveno bylo také 8 bezpečnostních chyb.

Ladislav Hagara | Komentářů: 0
27.4. 08:22 | Komunita

Grsecurity (Wikipedie) je sada bezpečnostních patchů pro linuxové jádro (porovnání se SELinuxem, AppArmorem a KSPP). Od září 2015 nejsou stabilní verze těchto patchů volně k dispozici. Dle včerejšího oznámení (FAQ) nejsou s okamžitou platností volně k dispozici už ani jejich testovací verze.

Ladislav Hagara | Komentářů: 60
26.4. 23:33 | Komunita

OpenBSD 6.1 vyšlo již 11. dubna. Po dvou týdnech byla vydána i oficiální píseň. Její název je Winter of 95 a k dispozici je ve formátech MP3 a OGG.

Ladislav Hagara | Komentářů: 0
26.4. 18:55 | Nová verze

Byla vydána verze 2017.1 linuxové distribuce navržené pro digitální forenzní analýzu a penetrační testování Kali Linux. S vydáním verze 2016.1 se Kali Linux stal průběžně aktualizovanou distribucí. Aktualizovat jej lze pomocí příkazů "apt update; apt dist-upgrade; reboot".

Ladislav Hagara | Komentářů: 0
26.4. 18:22 | Nová verze

Po téměř pěti letech od vydání verze 2.00 byla vydána nová stabilní verze 2.02 systémového zavaděče GNU GRUB (GRand Unified Bootloader). Přehled novinek v souboru NEWS.

Ladislav Hagara | Komentářů: 24
26.4. 17:55 | Komunita

Vývojáři Debianu oznámili, že od 1. listopadu letošního roku nebudou jejich archivy dostupné pomocí protokolu FTP. Již v lednu oznámil ukončení podpory FTP kernel.org (The Linux Kernel Archives).

Ladislav Hagara | Komentářů: 28
26.4. 17:00 | Bezpečnostní upozornění

V oblíbeném webmailu postaveném na PHP SquirrelMail (Wikipedie) byla nalezena bezpečnostní chyba CVE-2017-7692, jež může být útočníkem zneužita ke spuštění libovolných příkazů a kompletnímu ovládnutí dotčeného serveru. Zranitelnost se týká pouze instancí, kde je pro transport používán Sendmail.

Ladislav Hagara | Komentářů: 3
26.4. 13:11 | Zajímavý článek

Soudní dvůr Evropské unie rozhodl (tisková zpráva) ve věci C-527/15: Prodej multimediálního přehrávače, který umožňuje zdarma a jednoduše zhlédnout na televizní obrazovce filmy protiprávně zpřístupněné na internetu, může představovat porušení autorského práva.

Ladislav Hagara | Komentářů: 32
Chystáte se pořídit CPU AMD Ryzen?
 (4%)
 (35%)
 (1%)
 (6%)
 (45%)
 (9%)
Celkem 341 hlasů
 Komentářů: 50, poslední 27.4. 04:06
    Rozcestník

    Dotaz: TP-WR841ND – Chaos Calmer a LUCI a málo místa

    1.3.2015 15:40 Merlinii | skóre: 1
    TP-WR841ND – Chaos Calmer a LUCI a málo místa
    Přečteno: 716×
    Příloha:

    Protože na pultech je aktuálně TP-WR841ND ve verzi 9 a protože poslední Barrier na ní WiFi podporuje opravdu mizerně, je tu šance na poslední "trunk", tedy vývojovou verzi Chaos Calmer, která údajně jede bez vady. Není problém ji doinstalovat (zdá se, že vše funguje opravdu OK), ale pro nás linuxové laiky je problém v tom, že nemá LUCI, tedy GUI (grafické rozhraní). LUCI přitom není těžké doinstalovat, pěkný návod jsem našel na YT, stručně:

    Telnet 192.168.1.1 (port 23)

    1) passwd napsat nové heslo 2x
    2) reboot

    zkontrolovat internet na WAN

    SSH - port 22

    3) ssh root@192.168.1.1

    yes...

    4) opkg update
    5) opkg install luci
    6) /etc/init.d/uhttpd enable
    7) /etc/init.d/uhttpd start
    a pak ještě asi reboot...

    Jenže, zdá se, sestavení Chaos Calmer zabírá více místa v paměti (má jen 4 MB, takže se LUCI asi nevešlo), protože se během instalace LUCI vypsalo: "no space left in device".

    Chci se zeptat, není možníé něco méně podstatného odmazat z původního balíčku, aby se LUCI vešlo? Třeba podporu IPV6? 
    1) co přesně
    2) jak se to přes telnet konkrétně udělá? Díky.

    Viz výpis během instalace LUCI na 841N (4MB flash) v příloze OBR.


    Řešení dotazu:


    Odpovědi

    1.3.2015 16:15 Petr Šobáň | skóre: 79 | blog: soban | Olomouc
    Rozbalit Rozbalit vše Re: TP-WR841ND – Chaos Calmer a LUCI a málo místa
    Panebože ty máš nějakou sbírku routerů že do každého chceš nacpat jiný FW jak ten od výrobce?

    Prostě když v flash není místo tak tam další balíčky nepřidáš.

    A pokud tvůj OS co tam instaluješ používá jako FS nějaký který se nedá měnit (ro) (SquashFS) tak i odinstalací nějakého balíčku se místo neuvolní!

    Pokud používá jiný FS (JFFS2) tak odinstalací balíčku se místo uvolní.

    Takže pomocí opkg odinstalovat balíček a uvidíš.

    Případně si musíš přeložit vlastní OS.

    Já bych se nad takovým problémem vůbec dnes nezabíral protože vyhazovat IPv6 když to dnes potřebuješ......

    Pokud chceš používat OpenWRT pořiď si k tomu potřebný HW.
    1.3.2015 16:33 Merlinii | skóre: 1
    Rozbalit Rozbalit vše Re: TP-WR841ND – Chaos Calmer a LUCI a málo místa
    Tak snad se může člověk, který se učí, zeptat, ne? Takže rozumím správně, že pokud je to squash, tak je to zkomprimované a samostatně to odmazávat nejde a musel bych si to sám zkompilovat na míru... Aha. Díky.
    1.3.2015 16:19 Merlinii | skóre: 1
    Rozbalit Rozbalit vše Re: TP-WR841ND – Chaos Calmer a LUCI a málo místa

    Tady je výpis nainstalovaných balíčků, poradí někdo, co je možné bezpečně smazat?

    root@OpenWrt:~# opkg list-installed

    base-files - 157-r44541

    busybox - 1.22.1-5

    dnsmasq - 2.72-4

    dropbear - 2014.65-2

    firewall - 2015-02-26

    fstools - 2015-02-25.1-914b023e71559e033ec5a1f9840511eb1ccaf386

    hostapd-common - 2014-10-25-1

    ip6tables - 1.4.21-1

    iptables - 1.4.21-1

    iw - 3.15-1

    iwinfo - 2015-01-04-c9fd399316003040825dfbd9700488b621bd990e

    jshn - 2015-01-28-827ad8337e88ec9e0bf73a8af1d6cf8555e8ef3d

    jsonfilter - 2014-06-19-cdc760c58077f44fc40adbbe41e1556a67c1b9a9

    kernel - 3.18.7-1-e6285f586f586a80d2fb413954302463

    kmod-ath - 3.18.7+2014-11-04-1

    kmod-ath9k - 3.18.7+2014-11-04-1

    kmod-ath9k-common - 3.18.7+2014-11-04-1

    kmod-cfg80211 - 3.18.7+2014-11-04-1

    kmod-crypto-aes - 3.18.7-1

    kmod-crypto-arc4 - 3.18.7-1

    kmod-crypto-core - 3.18.7-1

    kmod-gpio-button-hotplug - 3.18.7-1

    kmod-ip6tables - 3.18.7-1

    kmod-ipt-conntrack - 3.18.7-1

    kmod-ipt-core - 3.18.7-1

    kmod-ipt-nat - 3.18.7-1

    kmod-ipv6 - 3.18.7-1

    kmod-ledtrig-usbdev - 3.18.7-1

    kmod-lib-crc-ccitt - 3.18.7-1

    kmod-mac80211 - 3.18.7+2014-11-04-1

    kmod-nf-conntrack - 3.18.7-1

    kmod-nf-conntrack6 - 3.18.7-1

    kmod-nf-ipt - 3.18.7-1

    kmod-nf-ipt6 - 3.18.7-1

    kmod-nf-nat - 3.18.7-1

    kmod-nf-nathelper - 3.18.7-1

    kmod-nls-base - 3.18.7-1

    kmod-ppp - 3.18.7-1

    kmod-pppoe - 3.18.7-1

    kmod-pppox - 3.18.7-1

    kmod-slhc - 3.18.7-1

    kmod-usb-core - 3.18.7-1

    kmod-usb-ohci - 3.18.7-1

    kmod-usb2 - 3.18.7-1

    libblobmsg-json - 2015-01-28-827ad8337e88ec9e0bf73a8af1d6cf8555e8ef3d

    libc - 0.9.33.2-1

    libgcc - 4.8-linaro-1

    libip4tc - 1.4.21-1

    libip6tc - 1.4.21-1

    libiwinfo - 2015-01-04-c9fd399316003040825dfbd9700488b621bd990e

    libjson-c - 0.11-2

    libjson-script - 2015-01-28-827ad8337e88ec9e0bf73a8af1d6cf8555e8ef3d

    libnl-tiny - 0.1-4

    libubox - 2015-01-28-827ad8337e88ec9e0bf73a8af1d6cf8555e8ef3d

    libubus - 2015-01-22-2d660c519d2fcff95248da9f4fd9b37d61f9eb09

    libuci - 2014-04-11.1-1

    libxtables - 1.4.21-1

    mtd - 20

    netifd - 2015-02-17-4d84111e1014c817653db92bcd8024ff1935b6be

    odhcp6c - 2014-12-10-722226c4f1d45c8bf4ac9189523738abcf7d648f

    odhcpd - 2014-11-06-3b628005e66e90770b2757a4a02c1dee25ccb883

    opkg - 9c97d5ecd795709c8584e972bfdf3aee3a5b846d-7

    ppp - 2.4.7-5

    ppp-mod-pppoe - 2.4.7-5

    procd - 2015-02-15-7676df3226da5391c2dfda2ed29a40500e04e15b

    swconfig - 10

    uboot-envtools - 2014.10-2

    ubox - 2015-02-25-31f0ff358b360ee461d845c1b3b5e5d38fa27925

    ubus - 2015-01-22-2d660c519d2fcff95248da9f4fd9b37d61f9eb09

    ubusd - 2015-01-22-2d660c519d2fcff95248da9f4fd9b37d61f9eb09

    uci - 2014-04-11.1-1

    wpad-mini - 2014-10-25-1

    1.3.2015 16:51 Petr Šobáň | skóre: 79 | blog: soban | Olomouc
    Rozbalit Rozbalit vše Re: TP-WR841ND – Chaos Calmer a LUCI a málo místa

    ip6tables - 1.4.21-1

    kmod-ip6tables - 3.18.7-1

    kmod-ipv6 - 3.18.7-1

    kmod-nf-conntrack6 - 3.18.7-1

    kmod-nf-ipt6 - 3.18.7-1

    libip6tc - 1.4.21-1

    odhcp6c - 2014-12-10-722226c4f1d45c8bf4ac9189523738abcf7d648f

    Když nechceš IPv6 tak všechno co se týká IPv6? Jinak USB to taky nemá takže pokud to nemá něco připojené vevnitř přes USB tak i ty balíčky, případně pokud nepožaduješ ppp?

    1.3.2015 16:54 Merlinii | skóre: 1
    Rozbalit Rozbalit vše Re: TP-WR841ND – Chaos Calmer a LUCI a málo místa

    Tak jsem trochu googlil a zdá se, že Chaos Calmer je prostě větší a routery jen se 4 MB flash RAM možná s LUCI nepojedou vůbec.

    Viz zde: https://dev.openwrt.org/ticket/14494

    Nebo zde: https://dev.openwrt.org/ticket/14482

    Pokud by někdo uměl povyhazovat zbytečné balíčky a dát LUCI a zkompilovat to pro 841N v9 bylo by to super...

    1.3.2015 17:03 Petr Šobáň | skóre: 79 | blog: soban | Olomouc
    Rozbalit Rozbalit vše Re: TP-WR841ND – Chaos Calmer a LUCI a málo místa
    Nějak nechápu jak chceš povyhazovat zbytečné balíčky?????

    Které jsou ty zbytečné balíčky?

    Jinak nechápu proč BFU se snaží instalovat vývojovou verzi OpenWRT, ještě na omezený HW.

    PS. Ve vývojových verzích standartně není www rozhraní (luci) - můžeš si ho doinstalovat pokud máš místo v HW.
    1.3.2015 17:24 Merlinii | skóre: 1
    Rozbalit Rozbalit vše Re: TP-WR841ND – Chaos Calmer a LUCI a málo místa
    Příloha:

    Protože mám WR841N nové verze 9, na které stabilně stávající verze Barrier nejede. Blbne WiFi. A naopak se píše, že poslední verze Chaos Calmer stabilně jede.

    Protože jako BFU potřebuju LUCI, tak mám dvě možnosti: vrátit se na firmware TP-link nebo najít funkční verzi na OPEN-WRT s LUCI. A potřebuju si to prostě všechno pořádně "ošahat".

    Teď ještě potřebuju potvrdit, že ta odinstalace opkg remove XXX je na squash opravdu blbost, zkoušel jsem a napsalo mi to, že vyjmuto (u něčeho to psalo, že to je součástí dalších balíčku a tedy error).

    Hláška, kterou mi to napsalo, je trochu jiná, píše se v ní o 66 vs 642 kb místa. Viz obr.

    1.3.2015 17:45 Petr Šobáň | skóre: 79 | blog: soban | Olomouc
    Rozbalit Rozbalit vše Re: TP-WR841ND – Chaos Calmer a LUCI a málo místa
    Pro tebe bude nejlepší vrátit tam originál FW ten se do té malé flash vleze a IPv4 tam funguje a WiFi taky.
    1.3.2015 17:54 Merlinii | skóre: 1
    Rozbalit Rozbalit vše Re: TP-WR841ND – Chaos Calmer a LUCI a málo místa
    Příloha:

    Asi ANO. A teď jistě zase platí, že potřebuju verzi bez u-boot, což znamená

    a) takovou verzi najít někde na webu, nebo
    b) si firmware umět správně ořezat jistým scriptem, což jsem nikdy nedělal a mám obavu, abych router nebricknul...

    (V příloze ještě jeden výpis..., pokud by někdo chtěl zkoumat, co mi to vlastně při pokusu o instalaci LUCI píše)

    1.3.2015 17:24 Merlinii | skóre: 1
    Rozbalit Rozbalit vše Re: TP-WR841ND – Chaos Calmer a LUCI a málo místa

    Protože mám WR841N nové verze 9, na které stabilně stávající verze Barrier nejede. Blbne WiFi. A naopak se píše, že poslední verze Chaos Calmer stabilně jede.

    Protože jako BFU potřebuju LUCI, tak mám dvě možnosti: vrátit se na firmware TP-link nebo najít funkční verzi na OPEN-WRT s LUCI. A potřebuju si to prostě všechno pořádně "ošahat".

    Teď ještě potřebuju potvrdit, že ta odinstalace opkg remove XXX je na squash opravdu blbost, zkoušel jsem a napsalo mi to, že vyjmuto (u něčeho to psalo, že to je součástí dalších balíčku a tedy error).

    Hláška, kterou mi to napsalo, je trochu jiná, píše se v ní o 66 vs 64 kb místa. Viz obr.

    Řešení 1× (Merlinii (tazatel))
    1.3.2015 21:51 mhepp | skóre: 22
    Rozbalit Rozbalit vše Re: TP-WR841ND – Chaos Calmer a LUCI a málo místa
    Ano, trunk je větší než BB.

    Existuje ale řešení. Sestavit si vlastní firmware. Není třeba nic kompilovat, existuje Image builder, který ze zkompilovaných balíčků připraví image na míru.

    Návod zde: http://wiki.openwrt.org/doc/howto/obtain.firmware.generate

    Takhle jsem připravil vše potřebné pro 4MB flash, včetně LuCi. Dá se vyházet třeba podpora pro ppp*. Zároveň si můžu přidat připravenou konfiguraci, takže po flashnutí už nebude třeba nic nastavovat. Pokud si připravím firmware s LuCi, můžu využít výhody Squashfs, které má lepší kompresi jak Jffs2. Práce s Image Builderem je v celku jednoduchá.
    1.3.2015 22:19 mhepp | skóre: 22
    Rozbalit Rozbalit vše Re: TP-WR841ND – Chaos Calmer a LUCI a málo místa
    Tady vyzkoušej aktuální trunk s LuCi a bez podpory ppp: http://mysicka.ics.muni.cz/openwrt/openwrt-ar71xx-generic-tl-wr841n-v9-squashfs-factory.bin

    Pokud bys potřeboval přidat/odstranit nějaké balíky, dej vědět.
    3.3.2015 13:10 Merlinii | skóre: 1
    Rozbalit Rozbalit vše Re: TP-WR841ND – Chaos Calmer a LUCI a málo místa

    Díky moc za vysoce faktické rady (a hlavně bez poučování). Zatím jsem to vyřešil tak, že jsem našel pro 841N funkční Gargoyle a DD-WRT z prosince 2014. S těmi balíčky a kompilací si asi hrát (zatím) nebudu, je to na mě přece jen už složité. A hlavně si myslím, že to za měsíc nebo dva dořeší a Chaos Calmer i s LUCI bude přímo ke stáhnutí.

    Jinak chci říct, že jak Gargoyle (verze 1,7.1) tak i DD-WRT (DD-WRT v24-sp2 (12/22/14) std (SVN revision 25697) jedou velmi pěkně.

    S DD-WRT jsem na WiFi naměřil až 15 MB (LAN speed test, 2 vlákna), což je strop na 100 megabitové LAN. Pro běžného hloupého uživatele bude pro 841N právě jak Gargoyle tak i DD-WRT praktičtější, než přece jen méně intuitivní OPEN-WRT.

    Gargolye chybí funkce klient, zato má velmi pěkné grafy a dokonce i přehled www stránek, které klienti navštíví.

    DD-WRT má v podstatě vše, včetně virtuálních WiFi sítí.

    Nepochopil jsem, proč právě aktuální OPEN-WRT na 841 jede špatně...

    Ale ještě bych se zeptal: Pokud flashuji skrze telnet, přes mtd z tmp, jak jsem se naučil, je jedno, zda se dává factory nebo sysupdate verze? A mohu tak nahrát i libovolnou verzi TP-linku? Nebo platí to samé, co přes webové rozhraní o původním firmware, že to musí být verze bez u-boot?


    pavlix avatar 3.3.2015 13:42 pavlix | skóre: 53 | blog: pavlix
    Rozbalit Rozbalit vše Re: TP-WR841ND – Chaos Calmer a LUCI a málo místa
    Skoro bych hádal, že za web rozhraním je schovaný taky jen mtd.
    pavlix avatar 2.3.2015 00:30 pavlix | skóre: 53 | blog: pavlix
    Rozbalit Rozbalit vše Re: TP-WR841ND – Chaos Calmer a LUCI a málo místa
    Kdybyses zbavoval routeru, kde OpenWRT jede, ale moc toho do něj nejde nainstalovat, tak dej vědět, nějakou stovku bych pustil.
    2.3.2015 18:36 Merlinii | skóre: 1
    Rozbalit Rozbalit vše Re: TP-WR841ND – Chaos Calmer a LUCI a málo místa
    A má to být N 150, nebo 300 a N nebo DN (tedy oddělávací antény)? :-) Už to mám docela ošahané :-)
    pavlix avatar 2.3.2015 22:59 pavlix | skóre: 53 | blog: pavlix
    Rozbalit Rozbalit vše Re: TP-WR841ND – Chaos Calmer a LUCI a málo místa
    Dej vědět, čeho se zbavuješ a ideálně i za kolik, já dám vědět, co chci :).
    3.3.2015 07:25 javeline | skóre: 15
    Rozbalit Rozbalit vše Re: TP-WR841ND – Chaos Calmer a LUCI a málo místa

    Připojuji se k názoru pana Šobáně - proč člověk s méně zkušenostmi instaluje trunk verzi OpenWrt? Sám jsem s trunk verzí měl problémy (jak absence gui, tak nedodělky ve skriptáži, tak polofunkční boot loader). Skončilo to FW flash skrz sériové rozhraní.

    Radím podobně, vrátit se na oficiální FW a počkat, až OpenWrt vydá stabilní verzi podporující Tvůj HW. Jinak, některé balíčky se samozřejmě odinstalovat můžou, musíš však vědět k čemu jsou a jestli je ne-budeš přímo (či jako závislost) potřebovat.

    Zařiď se jak umíš, upozornění jsi dostal a opakovaně...

    4.3.2015 08:05 javeline | skóre: 15
    Rozbalit Rozbalit vše Re: TP-WR841ND – Chaos Calmer a LUCI a málo místa

    Já vypozoroval a svými testy došel k osobnímu přesvědčení, že (a nikomu svůj názor nepodsouvám):

    Pokud je hlavní funkci routeru wan/lan routing + firewall + sporadicky/doplňkově wifi jako AP - pak OpenWRT

    Pokud je hlavní funkci routeru wifi/lan routing (wifi v režimu klient), případně wifi v režimu AP jako hlavní role - pak DDWrt

    Založit nové vláknoNahoru

    Tiskni Sdílej: Linkuj Jaggni to Vybrali.sme.sk Google Del.icio.us Facebook

    ISSN 1214-1267   www.czech-server.cz
    © 1999-2015 Nitemedia s. r. o. Všechna práva vyhrazena.